```plantuml
@startuml

skinparam packageStyle rect
left to right direction


Покупатель --|> Пользователь
Риелтор --|> Пользователь

package Жилищное-агентство {

(Размещение обьявления о продаже)
(Продажа жилья)
(Авторизация в системе)
(Просмотр обьявления)
(Покупка жилья)

}


:Покупатель: -- (Просмотр обьявления)
:Покупатель: -- (Покупка жилья)

:Пользователь: -- (Авторизация в системе)

:Риелтор: -- (Размещение обьявления о продаже)
:Риелтор: -- (Продажа жилья)

@enduml
```